Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class AutomationRequest

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.AutomationRequest

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class AutomationRequest

extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

Constructor Summary
`AutomationRequest()`
`AutomationRequest(URI about)`

Method Summary
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addInputParameter(ParameterInstance parameter)`
`void` | `addRdfType(URI rdfType)`
`void` | `addState(URI state)`
`void` | `addSubject(String subject)`
`URI[]` | `getContributors()`
`Date` | `getCreated()`
`URI[]` | `getCreators()`
`String` | `getDescription()`
`URI` | `getDesiredState()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getExecutesAutomationPlan()`
`String` | `getIdentifier()`
`ParameterInstance[]` | `getInputParameters()`
`URI` | `getInstanceShape()`
`Date` | `getModified()`
`protected URI` | `getRdfType()`
`URI[]` | `getRdfTypes()`
`URI` | `getServiceProvider()`
`URI[]` | `getStates()`
`String[]` | `getSubjects()`
`String` | `getTitle()`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreated(Date created)`
`void` | `setCreators(URI[] creators)`
`void` | `setDescription(String description)`
`void` | `setDesiredState(URI desiredState)`
`void` | `setExecutesAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link executesAutomationPlan)`
`void` | `setIdentifier(String identifier)`
`void` | `setInputParameters(ParameterInstance[] parameters)`
`void` | `setInstanceShape(URI instanceShape)`
`void` | `setModified(Date modified)`
`void` | `setRdfTypes(URI[] rdfTypes)`
`void` | `setServiceProvider(URI serviceProvider)`
`void` | `setStates(URI[] states)`
`void` | `setSubjects(String[] subjects)`
`void` | `setTitle(String title)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomationRequest

    public AutomationRequest()

### AutomationRequest

    public AutomationRequest(URI about)

Method Detail

### getRdfType

    protected URI getRdfType()

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addRdfType

    public void addRdfType(URI rdfType)

### addSubject

    public void addSubject(String subject)

### addState

    public void addState(URI state)

### addInputParameter

    public void addInputParameter(ParameterInstance parameter)

### getContributors

    public URI[] getContributors()

### getCreated

    public Date getCreated()

### getCreators

    public URI[] getCreators()

### getDescription

    public String getDescription()

### getIdentifier

    public String getIdentifier()

### getInstanceShape

    public URI getInstanceShape()

### getModified

    public Date getModified()

### getRdfTypes

    public URI[] getRdfTypes()

### getServiceProvider

    public URI getServiceProvider()

### getDesiredState

    public URI getDesiredState()

### getExecutesAutomationPlan

    public org.eclipse.lyo.oslc4j.core.model.Link getExecutesAutomationPlan()

### getSubjects

    public String[] getSubjects()

### getTitle

    public String getTitle()

### getStates

    public URI[] getStates()

### getInputParameters

    public ParameterInstance[] getInputParameters()

### setContributors

    public void setContributors(URI[] contributors)

### setCreated

    public void setCreated(Date created)

### setCreators

    public void setCreators(URI[] creators)

### setDescription

    public void setDescription(String description)

### setIdentifier

    public void setIdentifier(String identifier)

### setInstanceShape

    public void setInstanceShape(URI instanceShape)

### setModified

    public void setModified(Date modified)

### setRdfTypes

    public void setRdfTypes(URI[] rdfTypes)

### setServiceProvider

    public void setServiceProvider(URI serviceProvider)

### setDesiredState

    public void setDesiredState(URI desiredState)

### setExecutesAutomationPlan

    public void setExecutesAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link executesAutomationPlan)

### setSubjects

    public void setSubjects(String[] subjects)

### setTitle

    public void setTitle(String title)

### setStates

    public void setStates(URI[] states)

### setInputParameters

    public void setInputParameters(ParameterInstance[] parameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.